summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Finegan <tomfinegan@google.com>2014-05-14 08:57:29 -0700
committerGerrit Code Review <gerrit@gerrit.golo.chromium.org>2014-05-14 08:57:29 -0700
commit7f8684437f9b26f2ec38306f2e04bb070d06356b (patch)
tree33c6fa7385860c509e9fde279c41b9f3f2e046a9
parent576609382b5bcda67851d2be6e4d16fa93626739 (diff)
parentf04e9c4b711336285757410c86c7315bb17c7112 (diff)
downloadlibvpx-7f8684437f9b26f2ec38306f2e04bb070d06356b.tar
libvpx-7f8684437f9b26f2ec38306f2e04bb070d06356b.tar.gz
libvpx-7f8684437f9b26f2ec38306f2e04bb070d06356b.tar.bz2
libvpx-7f8684437f9b26f2ec38306f2e04bb070d06356b.zip
Merge "Add test for the twopass_encoder example."
-rwxr-xr-xtest/twopass_encoder.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/test/twopass_encoder.sh b/test/twopass_encoder.sh
new file mode 100755
index 000000000..fe3cbbb1c
--- /dev/null
+++ b/test/twopass_encoder.sh
@@ -0,0 +1,59 @@
+#!/bin/sh
+##
+## Copyright (c) 2014 The WebM project authors. All Rights Reserved.
+##
+## Use of this source code is governed by a BSD-style license
+## that can be found in the LICENSE file in the root of the source
+## tree. An additional intellectual property rights grant can be found
+## in the file PATENTS. All contributing project authors may
+## be found in the AUTHORS file in the root of the source tree.
+##
+## This file tests the libvpx twopass_encoder example. To add new tests to this
+## file, do the following:
+## 1. Write a shell function (this is your test).
+## 2. Add the function to twopass_encoder_tests (on a new line).
+##
+. $(dirname $0)/tools_common.sh
+
+# Environment check: $YUV_RAW_INPUT is required.
+twopass_encoder_verify_environment() {
+ if [ ! -e "${YUV_RAW_INPUT}" ]; then
+ echo "Libvpx test data must exist in LIBVPX_TEST_DATA_PATH."
+ return 1
+ fi
+}
+
+# Runs twopass_encoder using the codec specified by $1.
+twopass_encoder() {
+ local encoder="${LIBVPX_BIN_PATH}/twopass_encoder${VPX_TEST_EXE_SUFFIX}"
+ local codec="$1"
+ local output_file="${VPX_TEST_OUTPUT_DIR}/twopass_encoder_${codec}.ivf"
+
+ [ -x "${encoder}" ] || return 1
+
+ eval "${encoder}" "${codec}" "${YUV_RAW_INPUT_WIDTH}" \
+ "${YUV_RAW_INPUT_HEIGHT}" "${YUV_RAW_INPUT}" "${output_file}" \
+ ${devnull}
+
+ [ -e "${output_file}" ] || return 1
+}
+
+twopass_encoder_vp8() {
+ if [ "$(vp8_encode_available)" = "yes" ]; then
+ twopass_encoder vp8 || return 1
+ fi
+}
+
+# TODO(tomfinegan): Add a frame limit param to twopass_encoder and enable this
+# test. VP9 is just too slow right now: This test takes 31m16s+ on a fast
+# machine.
+DISABLED_twopass_encoder_vp9() {
+ if [ "$(vp9_encode_available)" = "yes" ]; then
+ twopass_encoder vp9 || return 1
+ fi
+}
+
+twopass_encoder_tests="twopass_encoder_vp8
+ DISABLED_twopass_encoder_vp9"
+
+run_tests twopass_encoder_verify_environment "${twopass_encoder_tests}"